Public Class 系統編碼規則
    ReadOnly ds1, ds2, ds3, ds4, ds5, ds6, ds7 As New DataSet
    Dim 首次開啟 As Boolean = False : Dim EDR As Integer = 0 : Dim ESTR As String
    Private Sub Set_業務碼清單()
        業務號_dgv.DataSource = Nothing : ds7.Clear()
        業務號_dgv.ColumnHeadersHeightSizeMode = DataGridViewColumnHeadersHeightSizeMode.EnableResizing
        業務號_dgv.ColumnHeadersHeight = 25
        業務號_dgv.AllowUserToAddRows = False
        SQL_系統編碼規則_業務碼()
        da.Fill(ds7) : 業務號_dgv.DataSource = ds7.Tables(0) : conn.Close()
        業務號_dgv.Columns(0).FillWeight = 100
    End Sub
    Private Sub Set_運費參數()
        送貨運費_dgv.DataSource = Nothing : ds5.Clear() : 送貨運費_dgv.ColumnHeadersHeightSizeMode = DataGridViewColumnHeadersHeightSizeMode.EnableResizing
        送貨運費_dgv.ColumnHeadersHeight = 25
        送貨運費_dgv.AllowUserToAddRows = False
        SQL_系統編碼規則_送貨起車參數()
        da.Fill(ds5) : 送貨運費_dgv.DataSource = ds5.Tables(0) : conn.Close()
        送貨運費_dgv.Columns(0).FillWeight = 100 : 送貨運費_dgv.Columns(1).FillWeight = 50

        送貨運費_dgv.Columns("起車").DefaultCellStyle.Format = "#,##0" : 送貨運費_dgv.Columns("最低售額").DefaultCellStyle.Format = "#,##0"
        送貨運費_dgv.Columns("起車").DefaultCellStyle.Alignment = DataGridViewContentAlignment.MiddleCenter
        送貨運費_dgv.Columns("起車").HeaderCell.Style.Alignment = DataGridViewContentAlignment.MiddleCenter
        送貨運費_dgv.Columns("最低售額").DefaultCellStyle.Alignment = DataGridViewContentAlignment.MiddleCenter
        送貨運費_dgv.Columns("最低售額").HeaderCell.Style.Alignment = DataGridViewContentAlignment.MiddleCenter
    End Sub
    Private Sub Set_年度清單()
        年份_dgv.DataSource = Nothing : ds6.Clear()
        年份_dgv.ColumnHeadersHeightSizeMode = DataGridViewColumnHeadersHeightSizeMode.EnableResizing
        年份_dgv.ColumnHeadersHeight = 25
        年份_dgv.AllowUserToAddRows = False
        SQL_年份清單()
        da.Fill(ds6) : 年份_dgv.DataSource = ds6.Tables(0) : conn.Close()
        年份_dgv.Columns(0).FillWeight = 100
    End Sub
    Private Sub Set_物料訂製()
        料定狀態_dgv.DataSource = Nothing : ds4.Clear() : 料定狀態_dgv.ColumnHeadersHeightSizeMode = DataGridViewColumnHeadersHeightSizeMode.EnableResizing
        料定狀態_dgv.ColumnHeadersHeight = 25
        料定狀態_dgv.AllowUserToAddRows = False
        SQL_系統編碼規則_物料訂製()
        da.Fill(ds4) : 料定狀態_dgv.DataSource = ds4.Tables(0) : conn.Close()
        料定狀態_dgv.Columns(0).FillWeight = 100 : 料定狀態_dgv.Columns(1).FillWeight = 50
    End Sub
    Private Sub Set_職稱清單()
        職稱_dgv.DataSource = Nothing : ds1.Clear() : 職稱_dgv.ColumnHeadersHeightSizeMode = DataGridViewColumnHeadersHeightSizeMode.EnableResizing
        職稱_dgv.ColumnHeadersHeight = 25
        職稱_dgv.AllowUserToAddRows = False
        SQL_系統編碼規則_職務()
        da.Fill(ds1) : 職稱_dgv.DataSource = ds1.Tables(0) : conn.Close()
        職稱_dgv.Columns(0).FillWeight = 100 : 職稱_dgv.Columns(1).FillWeight = 50
    End Sub
    Private Sub Set_地區碼清單()
        地區碼_dgv.DataSource = Nothing : ds2.Clear() : 地區碼_dgv.ColumnHeadersHeightSizeMode = DataGridViewColumnHeadersHeightSizeMode.EnableResizing
        地區碼_dgv.ColumnHeadersHeight = 25
        地區碼_dgv.AllowUserToAddRows = False
        SQL_系統編碼規則_地區碼()
        da.Fill(ds2) : 地區碼_dgv.DataSource = ds2.Tables(0) : conn.Close()
        地區碼_dgv.Columns(0).FillWeight = 100 : 地區碼_dgv.Columns(1).FillWeight = 50
    End Sub
    Private Sub Set_倉儲狀態()
        倉儲狀態_dgv.DataSource = Nothing : ds3.Clear() : 倉儲狀態_dgv.ColumnHeadersHeightSizeMode = DataGridViewColumnHeadersHeightSizeMode.EnableResizing
        倉儲狀態_dgv.ColumnHeadersHeight = 25
        倉儲狀態_dgv.AllowUserToAddRows = False
        SQL_系統編碼規則_倉儲狀態()
        da.Fill(ds3) : 倉儲狀態_dgv.DataSource = ds3.Tables(0) : conn.Close()
        倉儲狀態_dgv.Columns(0).FillWeight = 100 : 倉儲狀態_dgv.Columns(1).FillWeight = 50
    End Sub
    Private Sub Set_主伺服器狀態()
        Dim ds8 As New DataSet : 伺服器狀態2_dgv.DataSource = Nothing : ds8.Clear()
        伺服器狀態2_dgv.ColumnHeadersHeightSizeMode = DataGridViewColumnHeadersHeightSizeMode.EnableResizing
        伺服器狀態2_dgv.ColumnHeadersHeight = 25
        伺服器狀態2_dgv.AllowUserToAddRows = False
        SQL_主資料庫狀態()
        da.Fill(ds8) : 伺服器狀態2_dgv.DataSource = ds8.Tables(0) : conn.Close()
        Set_進度條顯示2()
        伺服器狀態2_dgv.Columns(4).DefaultCellStyle.Format = "#,##0.000"
        伺服器狀態2_dgv.Columns(5).DefaultCellStyle.Alignment = DataGridViewContentAlignment.MiddleCenter
        伺服器狀態2_dgv.Columns(5).HeaderCell.Style.Alignment = DataGridViewContentAlignment.MiddleCenter
        伺服器狀態2_dgv.Columns(0).FillWeight = 100 : 伺服器狀態2_dgv.Columns(1).FillWeight = 200
        伺服器狀態2_dgv.Columns(2).FillWeight = 50 : 伺服器狀態2_dgv.Columns(3).FillWeight = 50
        伺服器狀態2_dgv.Columns(4).Visible = False
    End Sub
    Private Sub Set_進度條顯示2()
        Dim Col As New DataGridViewProgressColumn With {
            .FillWeight = 130,
            .DataPropertyName = "容量"
        }
        Col.HeaderText = "檔案大小(MB)" : Col.Name = "容量" : Col.DataPropertyName = "檔案大小(MB)"
        伺服器狀態2_dgv.Columns.Insert(5, Col)
    End Sub
    Private Sub Set_伺服器1清單()
        Dim ds8 As New DataSet : 資料庫清單1_dgv.DataSource = Nothing : ds8.Clear()
        資料庫清單1_dgv.ColumnHeadersHeightSizeMode = DataGridViewColumnHeadersHeightSizeMode.EnableResizing
        資料庫清單1_dgv.ColumnHeadersHeight = 25
        資料庫清單1_dgv.AllowUserToAddRows = False
        SQL_伺服器1清單()
        da.Fill(ds8) : 資料庫清單1_dgv.DataSource = ds8.Tables(0) : conn.Close()
    End Sub
    Private Sub 系統編碼規則_Load(sender As Object, e As EventArgs) Handles MyBase.Load
        Me.MdiParent = YD_ERP_SYS : Me.WindowState = 2 : Me.AutoScroll = True
        訂製編碼_tb.Enabled = False
        首次開啟 = False : 式共用1() : 首次開啟 = True
        職稱_dgv.RowTemplate.Height = 25 : 地區碼_dgv.RowTemplate.Height = 25 : 倉儲狀態_dgv.RowTemplate.Height = 25
        料定狀態_dgv.RowTemplate.Height = 25 : 送貨運費_dgv.RowTemplate.Height = 25 : 年份_dgv.RowTemplate.Height = 25
        重新讀取_bt.PerformClick()
    End Sub
    Private Sub 送貨運費_dgv_CellClick(ByVal sender As System.Object, ByVal e As DataGridViewCellEventArgs) Handles 送貨運費_dgv.CellEnter
        If 首次開啟 = True Then
            If e.RowIndex = -1 Then : Else
                地點_tb.Text = 送貨運費_dgv(0, e.RowIndex).Value.ToString : 運費_tb.Text = 送貨運費_dgv(1, e.RowIndex).Value.ToString
                低售_tb.Text = 送貨運費_dgv(2, e.RowIndex).Value.ToString

                運費_tb.Text = Format(Val(運費_tb.Text), "#,##0") : 低售_tb.Text = Format(Val(低售_tb.Text), "#,##0")
            End If
        End If
    End Sub
    Private Sub 料定狀態_dgv_CellClick(ByVal sender As System.Object, ByVal e As DataGridViewCellEventArgs) Handles 料定狀態_dgv.CellEnter
        If 首次開啟 = True Then
            If e.RowIndex = -1 Then : Else
                訂製內容_tb.Text = 料定狀態_dgv(0, e.RowIndex).Value.ToString : 訂製編碼_tb.Text = 料定狀態_dgv(1, e.RowIndex).Value.ToString
            End If
        End If
    End Sub
    Private Sub 倉儲狀態_dgv_CellClick(ByVal sender As System.Object, ByVal e As DataGridViewCellEventArgs) Handles 倉儲狀態_dgv.CellEnter
        If 首次開啟 = True Then
            If e.RowIndex = -1 Then : Else
                倉儲狀態_tb.Text = 倉儲狀態_dgv(0, e.RowIndex).Value.ToString : 倉儲編碼_cb.Text = 倉儲狀態_dgv(1, e.RowIndex).Value.ToString
            End If
        End If
    End Sub
    Private Sub 職稱_dgv_CellClick(ByVal sender As System.Object, ByVal e As DataGridViewCellEventArgs) Handles 職稱_dgv.CellEnter
        If 首次開啟 = True Then
            If e.RowIndex = -1 Then : Else
                職稱_tb.Text = 職稱_dgv(0, e.RowIndex).Value.ToString : 級別_cb.Text = 職稱_dgv(1, e.RowIndex).Value.ToString
            End If
        End If
    End Sub
    Private Sub 地區碼_dgv_CellClick(ByVal sender As System.Object, ByVal e As DataGridViewCellEventArgs) Handles 地區碼_dgv.CellEnter
        If 首次開啟 = True Then
            If e.RowIndex = -1 Then : Else
                地區_tb.Text = 地區碼_dgv(0, e.RowIndex).Value.ToString : 地區編碼_cb.Text = 地區碼_dgv(1, e.RowIndex).Value.ToString
            End If
        End If
    End Sub
    Private Sub 年份_dgv_CellContentClick(sender As Object, ByVal e As DataGridViewCellEventArgs) Handles 年份_dgv.CellEnter
        If 首次開啟 = True Then
            If e.RowIndex = -1 Then : Else
                年份_tb.Text = 年份_dgv(0, e.RowIndex).Value.ToString
            End If
        End If
    End Sub
    Private Sub 業務號_dgv_CellContentClick(sender As Object, ByVal e As DataGridViewCellEventArgs) Handles 業務號_dgv.CellEnter
        If 首次開啟 = True Then
            If e.RowIndex = -1 Then : Else
                業務號_tb.Text = 業務號_dgv(0, e.RowIndex).Value.ToString
            End If
        End If
    End Sub
    Private Sub SET_新增按鈕程式共用2()
        CmdSet_For_dr() : MsgBox("新增完成") : conn.Close() : dr.Close()
    End Sub
    Private Sub SET_修改按鈕程式共用1()
        CmdSet_For_dr() : MsgBox("修改完成") : conn.Close()
    End Sub
    Private Sub SET_刪除按鈕程式共用1()
        ConnOpen()
        Dim aa As MsgBoxResult
        aa = MsgBox("確定要刪除該筆資料?", MsgBoxStyle.OkCancel)
        If aa = MsgBoxResult.Ok Then
            CmdSet_For_dr() : MsgBox("刪除完成")
        End If
        conn.Close()
        式共用1()
    End Sub
    Private Sub 式共用1()
        Set_職稱清單() : Set_地區碼清單() : Set_倉儲狀態() : Set_物料訂製() : Set_運費參數() : Set_年度清單() : Set_業務碼清單()
    End Sub
    Private Sub 式共用2()
        dr.Close() : ConnOpen()
    End Sub
    Private Sub 式共用3()
        ConnOpen()
    End Sub
    '------------------------------------------------------------------------------------------------------------------------------------
    Private Sub 職稱新增_bt_Click(sender As Object, e As EventArgs) Handles 職稱新增_bt.Click
        If 職稱_tb.Text = "" Then
            MsgBox("資料有缺或有誤，請重新檢查")
        Else
            式共用3() : SQL_系統編碼規則_職務重複查詢() : CmdSet_For_dr()
            If dr.Read() Then
                MsgBox("資料重複，請從新輸入或檢查") : conn.Close() : dr.Close()
            Else
                式共用2() : SQL_系統編碼規則_職務新增() : SET_新增按鈕程式共用2()
            End If
        End If : 式共用1()
    End Sub
    Private Sub 職稱修改_bt_Click(sender As Object, e As EventArgs) Handles 職稱修改_bt.Click
        If 職稱_tb.Text = "" Then
            MsgBox("資料有缺或有誤，請重新檢查")
        Else
            PA = InputBox("請輸入要修改的內容")
            If PA = "" Then
                MsgBox("沒有輸入修改內容")
            Else
                式共用3() : SQL_系統編碼規則_職務修改() : CmdSet_For_dr()
                式共用3() : SQL_系統編碼規則_人事職務修改() : CmdSet_For_dr()
                式共用3() : SQL_使用者權限管理表_職務修改() : SET_修改按鈕程式共用1()
            End If
        End If : 式共用1()
    End Sub
    Private Sub 級別修改_bt_Click(sender As Object, e As EventArgs) Handles 級別修改_bt.Click
        If 職稱_tb.Text = "" Then
            MsgBox("資料有缺或有誤，請重新檢查")
        Else
            式共用3() : SQL_系統編碼規則_級別修改()
            CmdSet_For_dr() : conn.Close()
            式共用3() : SQL_使用者權限管理表_級別修改() : SET_修改按鈕程式共用1()
        End If : 式共用1()
    End Sub
    Private Sub 職稱刪除_bt_Click(sender As Object, e As EventArgs) Handles 職稱刪除_bt.Click
        SQL_系統編碼規則_職務刪除() : SET_刪除按鈕程式共用1()
    End Sub
    '------------------------------------------------------------------------------------------------------------------------------------
    Private Sub 地區碼新增_bt_Click(sender As Object, e As EventArgs) Handles 地區碼新增_bt.Click
        If 地區_tb.Text = "" Then
            MsgBox("資料有缺或有誤，請重新檢查")
        Else
            式共用3() : SQL_系統編碼規則_地區重複查詢() : CmdSet_For_dr()
            If dr.Read() Then
                MsgBox("資料重複，請從新輸入或檢查") : conn.Close() : dr.Close()
            Else
                式共用2() : SQL_系統編碼規則_地區碼新增() : SET_新增按鈕程式共用2()
            End If
        End If : 式共用1()
    End Sub
    Private Sub 地區碼修改_bt_Click(sender As Object, e As EventArgs) Handles 地區碼修改_bt.Click
        If 地區_tb.Text = "" Then
            MsgBox("資料有缺或有誤，請重新檢查")
        Else
            PA = InputBox("請輸入要修改的內容")
            If PA = "" Then
                MsgBox("沒有輸入修改內容")
            Else
                式共用3() : SQL_系統編碼規則_地區碼修改() : SET_修改按鈕程式共用1()
            End If
        End If : 式共用1()
    End Sub
    Private Sub 地區碼刪除_bt_Click(sender As Object, e As EventArgs) Handles 地區碼刪除_bt.Click
        SQL_系統編碼規則_地區碼刪除() : SET_刪除按鈕程式共用1()
    End Sub
    '------------------------------------------------------------------------------------------------------------------------------------
    Private Sub 倉狀碼新增_bt_Click(sender As Object, e As EventArgs) Handles 倉狀碼新增_bt.Click
        If 倉儲狀態_tb.Text = "" And 倉儲編碼_cb.Text = "" Then
            MsgBox("資料有缺或有誤，請重新檢查")
        Else
            式共用3() : SQL_系統編碼規則_倉儲狀態重複查詢() : CmdSet_For_dr()
            If dr.Read() Then
                MsgBox("資料重複，請從新輸入或檢查") : conn.Close() : dr.Close()
            Else
                式共用2() : SQL_系統編碼規則_倉儲狀態碼新增() : SET_新增按鈕程式共用2()
            End If
        End If : 式共用1()
    End Sub
    Private Sub 倉狀碼修改_bt_Click(sender As Object, e As EventArgs) Handles 倉狀碼修改_bt.Click
        If 倉儲狀態_tb.Text = "" And 倉儲編碼_cb.Text = "" Then
            MsgBox("資料有缺或有誤，請重新檢查")
        Else
            PA = InputBox("請輸入要修改的內容")
            If PA = "" Then
                MsgBox("沒有輸入修改內容")
            Else
                式共用3() : SQL_系統編碼規則_倉儲狀態修改() : SET_修改按鈕程式共用1()
            End If
        End If : 式共用1()
    End Sub
    Private Sub 倉狀碼刪除_bt_Click(sender As Object, e As EventArgs) Handles 倉狀碼刪除_bt.Click
        SQL_系統編碼規則_倉儲狀態刪除() : SET_刪除按鈕程式共用1()
    End Sub
    '------------------------------------------------------------------------------------------------------------------------------------
    Private Sub 料定新增_bt_Click(sender As Object, e As EventArgs) Handles 料定新增_bt.Click
        If 訂製內容_tb.Text = "" Then
            MsgBox("資料有缺或有誤，請重新檢查")
        Else
            式共用3() : SQL_系統編碼規則_物料訂製狀態重複查詢() : CmdSet_For_dr()
            If dr.Read() Then
                MsgBox("資料重複，請從新輸入或檢查") : conn.Close() : dr.Close()
            Else
                SQL_系統編碼規則_物料訂製狀態_最後一筆資料()  '--------------------自動取得新編號
                If dr.Read() Then : EDR = Double.Parse(Strings.Right(dr("編碼").ToString, 4)) : Else : EDR = 0 : End If
                conn.Close() : EDR += 1
                If EDR < 10 Then : ESTR = "MA" & "000" & EDR
                ElseIf EDR > 9 And EDR < 100 Then : ESTR = "MA" & "00" & EDR
                ElseIf EDR > 99 And EDR < 1000 Then : ESTR = "MA" & "0" & EDR
                ElseIf EDR > 999 And EDR < 10000 Then : ESTR = "MA" & EDR
                End If : 訂製編碼_tb.Text = ESTR

                式共用2() : SQL_系統編碼規則_物料訂製狀新增() : SET_新增按鈕程式共用2()
            End If
        End If : 式共用1()
    End Sub
    Private Sub 料定修改_bt_Click(sender As Object, e As EventArgs) Handles 料定修改_bt.Click
        If 訂製內容_tb.Text = "" Then
            MsgBox("資料有缺或有誤，請重新檢查")
        Else
            PA = InputBox("請輸入要修改的內容")
            If PA = "" Then
                MsgBox("沒有輸入修改內容")
            Else
                式共用3() : SQL_系統編碼規則_物料訂製修改() : SET_修改按鈕程式共用1()
            End If
        End If : 式共用1()
    End Sub
    Private Sub 料定刪除_bt_Click(sender As Object, e As EventArgs) Handles 料定刪除_bt.Click
        SQL_系統編碼規則物料訂製刪除() : SET_刪除按鈕程式共用1()
    End Sub
    '------------------------------------------------------------------------------------------------------------------------------------
    Private Sub 送貨新增_bt_Click(sender As Object, e As EventArgs) Handles 送貨新增_bt.Click
        If 地點_tb.Text = "" Or 運費_tb.Text = "" Or 低售_tb.Text = "" Then
            MsgBox("資料有缺或有誤，請重新檢查")
        Else
            式共用3() : SQL_系統編碼規則_送貨起車參數重複查詢() : CmdSet_For_dr()
            If dr.Read() Then
                MsgBox("資料重複，請從新輸入或檢查") : conn.Close() : dr.Close()
            Else
                式共用2() : SQL_系統編碼規則_送貨起車參數新增() : SET_新增按鈕程式共用2()
            End If
        End If : 式共用1()
    End Sub
    Private Sub 送貨修改_bt_Click(sender As Object, e As EventArgs) Handles 送貨修改_bt.Click
        If 地點_tb.Text = "" Or 運費_tb.Text = "" Or 低售_tb.Text = "" Then
            MsgBox("資料有缺或有誤，請重新檢查")
        Else
            式共用3() : SQL_系統編碼規則_送貨起車參數修改() : SET_修改按鈕程式共用1()
        End If : 式共用1()
    End Sub
    Private Sub 送貨刪除_bt_Click(sender As Object, e As EventArgs) Handles 送貨刪除_bt.Click
        SQL_系統編碼規則_送貨起車參數製刪除() : SET_刪除按鈕程式共用1()
    End Sub
    '------------------------------------------------------------------------------------------------------------------------------------
    Private Sub 年份新增_bt_Click(sender As Object, e As EventArgs) Handles 年份新增_bt.Click
        If 年份_tb.Text = "" Then : MsgBox("資料有缺或有誤，請重新檢查") : Else
            PA = 年份_tb.Text : SQL_年份清單查詢()
            If dr.Read() Then : MsgBox("資料重複，請從新輸入或檢查") : conn.Close() : dr.Close()
            Else : 式共用2() : SQL_年份清單新增() : SET_新增按鈕程式共用2() : End If
        End If : 式共用1()
    End Sub
    Private Sub 年份修改_bt_Click(sender As Object, e As EventArgs) Handles 年份修改_bt.Click
        If 年份_tb.Text = "" Then : MsgBox("資料有缺或有誤，請重新檢查")
        Else
            PA = InputBox("請輸入要修改的內容")
            If PA = "" Then : MsgBox("沒有輸入修改內容")
            Else : 式共用3() : SQL_年份清單修改() : SET_修改按鈕程式共用1() : End If
        End If : 式共用1()
    End Sub
    Private Sub 年份刪除_bt_Click(sender As Object, e As EventArgs) Handles 年份刪除_bt.Click
        SQL_年份清單刪除() : SET_刪除按鈕程式共用1()
    End Sub
    '------------------------------------------------------------------------------------------------------------------------------------
    Private Sub 業務新增_bt_Click(sender As Object, e As EventArgs) Handles 業務新增_bt.Click
        If 業務號_tb.Text = "" Then : MsgBox("資料有缺或有誤，請重新檢查") : Else
            PA = 業務號_tb.Text : SQL_業務編號查詢()
            If dr.Read() Then : MsgBox("資料重複，請從新輸入或檢查") : conn.Close() : dr.Close()
            Else : 式共用2() : SQL_業務編號新增() : SET_新增按鈕程式共用2() : End If
        End If : 式共用1()
    End Sub
    Private Sub 業務修改_bt_Click(sender As Object, e As EventArgs) Handles 業務修改_bt.Click
        If 業務號_tb.Text = "" Then : MsgBox("資料有缺或有誤，請重新檢查") : Else
            PA = InputBox("請輸入要修改的內容")
            If PA = "" Then : MsgBox("沒有輸入修改內容")
            Else : 式共用3() : SQL_業務編號修改() : SET_修改按鈕程式共用1() : End If
        End If : 式共用1()
    End Sub
    Private Sub 業務刪除_bt_Click(sender As Object, e As EventArgs) Handles 業務刪除_bt.Click
        SQL_業務編號刪除() : SET_刪除按鈕程式共用1()
    End Sub
    '------------------------------------------------------------------------------------------------------------------------------------
    Private Sub 字體_NUD_ValueChanged(sender As Object, e As EventArgs) Handles 字體_NUD.ValueChanged
        職稱_dgv.RowsDefaultCellStyle.Font = New System.Drawing.Font("微軟正黑體", 字體_NUD.Value)
        地區碼_dgv.RowsDefaultCellStyle.Font = New System.Drawing.Font("微軟正黑體", 字體_NUD.Value)
        倉儲狀態_dgv.RowsDefaultCellStyle.Font = New System.Drawing.Font("微軟正黑體", 字體_NUD.Value)
        料定狀態_dgv.RowsDefaultCellStyle.Font = New System.Drawing.Font("微軟正黑體", 字體_NUD.Value)
        送貨運費_dgv.RowsDefaultCellStyle.Font = New System.Drawing.Font("微軟正黑體", 字體_NUD.Value)
        年份_dgv.RowsDefaultCellStyle.Font = New System.Drawing.Font("微軟正黑體", 字體_NUD.Value)
    End Sub
    Private Sub 重新讀取_bt_Click(sender As Object, e As EventArgs) Handles 重新讀取_bt.Click
        分母 = MAX_nud.Value : 分段1 = 0.2 : 分段2 = 0.19 : 分段3 = 0.8 : 分段4 = 0.79 : 進度條後墜 = " MB"
        Set_主伺服器狀態() : Set_伺服器1清單()
    End Sub
    Private Sub LOG檔截斷3_bt_Click(sender As Object, e As EventArgs) Handles LOG檔截斷3_bt.Click

        For I As Integer = 0 To 資料庫清單1_dgv.Rows.Count - 1
            PA = 資料庫清單1_dgv(0, I).Value.ToString : SQL_主資料庫LOG檔案截斷()
        Next
        重新讀取_bt.PerformClick() : MsgBox("伺服器截斷完成!!!")
    End Sub
End Class